Public Member Functions

# wxTextDropTarget Class Reference
[Clipboard and Drag & Drop]

`#include <wx/dnd.h>`

Inheritance diagram for wxTextDropTarget:
[legend]

## Detailed Description

A predefined drop target for dealing with text data.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also:
  Drag and Drop Overview, wxDropSource, wxDropTarget, wxFileDropTarget

## Public Member Functions
| wxTextDropTarget ()
| Constructor.
virtual bool | OnDrop (wxCoord x, wxCoord y)
| See wxDropTarget::OnDrop().
virtual bool | OnDropText (wxCoord x, wxCoord y, const wxString &data)=0
| Override this function to receive dropped text.

List of all members.

## Constructor & Destructor Documentation

wxTextDropTarget::wxTextDropTarget | ( |  | ) |

Constructor.

## Member Function Documentation

virtual bool wxTextDropTarget::OnDrop | ( | wxCoord | x,
|  | wxCoord | y |
| ) |  |  | `[virtual]`

See wxDropTarget::OnDrop().

This function is implemented appropriately for text, and calls OnDropText().

Reimplemented from wxDropTarget.

virtual bool wxTextDropTarget::OnDropText | ( | wxCoord | x,
|  | wxCoord | y,
|  | const wxString & | data |
| ) |  |  | `[pure virtual]`

Override this function to receive dropped text.

Parameters:

  | x | The x coordinate of the mouse.
  | y | The y coordinate of the mouse.
  | data | The data being dropped: a wxString.

Return true to accept the data, or false to veto the operation.

|  | [ top ]